<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Remote</title>
  <style>
    /* Định dạng danh sách chức năng */
    ul {
      padding: 0;
      list-style-type: disc;
      margin-left: 20px;
    }

    li {
      display: flex;
      align-items: center;
      margin-bottom: 0px;
    }

    table,
    tr,
    td {
      text-align: center;
    }

    button {
      background-color: #4CAF50;
      /* Green */
      border: none;
      color: white;
      padding: 15px 32px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 16px;
      margin-bottom: 20px;
      width: 350px;
    }
  </style>
</head>

<body>
  <h1>ĐIỀU KHIỂN APP YOGA</h1>
  <h2>Danh sách chức năng</h2>

  <table>
    <tr colspan="2">
      <td><button onclick="sendMessage('INCORRECT_NECK')">Động tác CỔ chưa đúng</button></td>
    </tr>
    <tr>
      <td>
        <ul id="functionList">
          <li>
            <!-- <h4>Động tác tay trái chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_LEFT_HAND')">Động tác TAY TRÁI chưa đúng</button>
          </li>
          <li>
            <!-- <h4>Động tác vai trái chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_LEFT_SHOULDER')">Động tác VAI TRÁI chưa đúng</button>
          </li>
          <li>
            <!-- <h4>Động tác hông trái chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_LEFT_HIP')">Động tác HÔNG TRÁI chưa đúng</button>
          </li>
          <li>
            <!-- <h4>Động tác chân trái chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_LEFT_LEG')">Động tác CHÂN TRÁI chưa đúng</button>
          </li>
        </ul>
      </td>

      <td>
        <ul id="functionList">
          <li>
            <!-- <h4>Động tác tay phải chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_RIGHT_HAND')">Động tác TAY PHẢI chưa đúng</button>
          </li>
          <li>
            <!-- <h4>Động tác vai phải chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_RIGHT_SHOULDER')">Động tác VAI PHẢI chưa đúng</button>
          </li>
          <li>
            <!-- <h4>Động tác hông phải chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_RIGHT_HIP')">Động tác HÔNG PHẢI chưa đúng</button>
          </li>
          <li>
            <!-- <h4>Động tác chân phải chưa đúng</h4> -->
            <button onclick="sendMessage('INCORRECT_RIGHT_LEG')">Động tác CHÂN PHẢI chưa đúng</button>
          </li>

        </ul>
      </td>
      <!-- <td>
        <ul id="functionList2">
          <li>
            <h4>Bạn hãy hạ thấp chân phải xuống</h4>
            <button onclick="sendMessage('DOWN_RIGHT_LEG')">GỬI</button>
          </li>
          <li>
            <h4>Bạn hãy hạ thấp chân trái xuống</h4>
            <button onclick="sendMessage('DOWN_LEFT_LEG')">GỬI</button>
          </li>
          <li>
            <h4>Bạn hãy hạ thấp tay phải xuống</h4>
            <button onclick="sendMessage('DOWN_RIGHT_HAND')">GỬI</button>
          </li>
          <li>
            <h4>Bạn hãy hạ thấp tay trái xuống</h4>
            <button onclick="sendMessage('DOWN_LEFT_HAND')">GỬI</button>
          </li>
          <li>
            <h4>Bạn hãy nâng chân phải lên</h4>
            <button onclick="sendMessage('UP_RIGHT_LEG')">GỬI</button>
          </li>
          <li>
            <h4>Bạn hãy nâng chân trái lên</h4>
            <button onclick="sendMessage('UP_LEFT_LEG')">GỬI</button>
          </li>
          <li>
            <h4>Bạn hãy nâng tay phải lên</h4>
            <button onclick="sendMessage('UP_RIGHT_HAND')">GỬI</button>
          </li>
          <li>
            <h4>Bạn hãy nâng tay trái lên</h4>
            <button onclick="sendMessage('UP_LEFT_HAND')">GỬI</button>
          </li>
        </ul>
      </td> -->
    </tr>
  </table>

  <!-- <ul id="functionList">
    <li>
      <h4>Bạn hãy hạ thấp chân phải xuống</h4>
      <button onclick="sendMessage('DOWN_RIGHT_LEG')">GỬI</button>
    </li>
    <li>
      <h4>Bạn hãy hạ thấp chân trái xuống</h4>
      <button onclick="sendMessage('DOWN_LEFT_LEG')">GỬI</button>
    </li>
    <li>
      <h4>Bạn hãy hạ thấp tay phải xuống</h4>
      <button onclick="sendMessage('DOWN_RIGHT_HAND')">GỬI</button>
    </li>
    <li>
      <h4>Bạn hãy hạ thấp tay trái xuống</h4>
      <button onclick="sendMessage('DOWN_LEFT_HAND')">GỬI</button>
    </li>
    <li>
      <h4>Bạn hãy nâng chân phải lên</h4>
      <button onclick="sendMessage('UP_RIGHT_LEG')">GỬI</button>
    </li>
    <li>
      <h4>Bạn hãy nâng chân trái lên</h4>
      <button onclick="sendMessage('UP_LEFT_LEG')">GỬI</button>
    </li>
    <li>
      <h4>Bạn hãy nâng tay phải lên</h4>
      <button onclick="sendMessage('UP_RIGHT_HAND')">GỬI</button>
    </li>
    <li>
      <h4>Bạn hãy nâng tay trái lên</h4>
      <button onclick="sendMessage('UP_LEFT_HAND')">GỬI</button>
    </li>
  </ul> -->

  <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.5.2/sockjs.min.js"></script>

  <script>
    const socket = new SockJS('https://admin.visedu.vn:10085/websocket');
    function sendMessage(message) {
      socket.send(message);
    }
  </script>
</body>

</html>